Subject: OMAP baseline test results for v3.7-rc1

From: [email-masked] (Kevin Hilman)
Date: Mon, 22 Oct 2012 13:43:34 -0700

Kevin Hilman <[email-masked]> writes:

> Aaro Koskinen <[email-masked]> writes:
>
>> Hi,
>>
>> On Fri, Oct 19, 2012 at 10:01:36PM +0300, Felipe Balbi wrote:
>>> On Fri, Oct 19, 2012 at 10:03:58PM +0300, Aaro Koskinen wrote:
>>> > FYI, I saw I2C hangs also on Nokia N900 with v3.7-rc1 (omap_i2c
>>> > omap_i2c.1: timeout waiting for bus ready). After several reboots they
>>> > disappered (kernel binary was the same), and I have been unable to
>>> > reproduce them since.
>>> 
>>> any change you have those logs saved somewhere ? Want to see if it's the
>>> same problem triggered by RTC.
>>
>> I did not save the logs, but now I tried again, I managed to reproduce
>> it after couple boots. The log is below, and after that the there's also
>> one from OK boot for comparison.
>>
>> In the error case, the boot never reaches userspace, just silently hangs
>> (or maybe I just didn't wait enough long).
>
> Can you try to revert the threaded IRQ conversion to see if things get
> to working again?  commit 3b2f8f82dad7d1f79cdc8fc05bd1c94baf109bde

Nevermind, Paul seems to have already isolated the problem on this one.

Kevin